/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-xml-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

public interface Notation extends Node {

  void setName(String name);
  String getName();

  void setIsPublic(boolean isPublic);
  boolean getIsPublic();

  void setPublicIdentifier(String publicIdentifier);
  String getPublicIdentifier();

  void setSystemIdentifier(String systemIdentifier);
  String getSystemIdentifier();

};
